Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.freenetproject
Class ForwardPort

    java.lang.Object
      org.freenetproject.ForwardPort

    public class ForwardPort

extends Object

A public Internet Protocol port on the node which needs to be forwarded if the node is NATed.

Author:
  toad

Field Summary
`boolean` | `isIP6` IPv4 vs IPv6?
`String` | `name` Name of the interface e.g.
`int` | `portNumber` Port number to forward
`int` | `protocol` Protocol number.
`static int` | `PROTOCOL_TCP_IPV4`
`static int` | `PROTOCOL_UDP_IPV4`

Constructor Summary
`ForwardPort(String name, boolean isIP6, int protocol, int portNumber)`

Method Summary
`boolean` | `equals(Object o)`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public final String name

  Name of the interface e.g. "opennet"

### isIP6

    public final boolean isIP6

  IPv4 vs IPv6?

### protocol

    public final int protocol

  Protocol number. See constants.

### PROTOCOL_UDP_IPV4

    public static final int PROTOCOL_UDP_IPV4

See Also:
  Constant Field Values

### PROTOCOL_TCP_IPV4

    public static final int PROTOCOL_TCP_IPV4

See Also:
  Constant Field Values

### portNumber

    public final int portNumber

  Port number to forward

Constructor Detail

### ForwardPort

    public ForwardPort(String name,
                       boolean isIP6,
                       int protocol,
                       int portNumber)

Method Detail

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD